#
# spec file for package perl-Mojo-RabbitMQ-Client
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Mojo-RabbitMQ-Client
Version:        0.3.1
Release:        1.21
%define cpan_name Mojo-RabbitMQ-Client
Summary:        Mojo::IOLoop based RabbitMQ client
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SE/SEBAPOD/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(Mojolicious) >= 7.53
BuildRequires:  perl(Net::AMQP) >= 0.06
BuildRequires:  perl(Test::Exception) >= 0.430000
BuildRequires:  perl(Test::More) >= 0.98
Requires:       perl(File::ShareDir)
Requires:       perl(List::Util) >= 1.33
Requires:       perl(Mojolicious) >= 7.53
Requires:       perl(Net::AMQP) >= 0.06
%{perl_requires}
# MANUAL BEGIN
# Net::AMQP only supports 64 bit: https://rt.cpan.org/Public/Bug/Display.html?id=87816
ExcludeArch:    i586 armv7l ppc
# MANUAL END

%description
Mojo::RabbitMQ::Client is a rewrite of AnyEvent::RabbitMQ to work on top of
Mojo::IOLoop.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples minil.toml README.md
%license LICENSE

%changelog
* Sun Aug 25 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.3.1
  see /usr/share/doc/packages/perl-Mojo-RabbitMQ-Client/Changes
  0.3.1 2019-08-20T20:45:53Z
  - Re-apply licensing note from #37 - now in proper place
  0.3.0 2019-08-20T20:35:39Z
  - Allow EXTERNAL as well as AMQPLAIN auth #35 (@AdamWill)
  - fixes legal issues with AMQP specs licensing #37
* Tue Aug 20 2019 Oliver Kurz <okurz@suse.com>
- updated to 0.2.4
  see /usr/share/doc/packages/perl-Mojo-RabbitMQ-Client/Changes
  0.2.4 2019-08-20T00:49:27Z
  - Prevent warning about undefined object on closed channels #36 (@okurz)
- Drop 0001-Prevent-warning-about-undefined-object-on-closed-cha.patch
  Prevent warning about undefined object on closed channels
  now included in upstream
* Fri Aug  9 2019 Oliver Kurz <okurz@suse.com>
- Add 0001-Prevent-warning-about-undefined-object-on-closed-cha.patch
  Prevent warning about undefined object on closed channels
* Thu Jul 25 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.2.3
  see /usr/share/doc/packages/perl-Mojo-RabbitMQ-Client/Changes
  0.2.3 2019-07-24T21:06:16Z
  - Clarified documentation #33, #34 (@AdamWill)
* Thu May 23 2019 Stephan Kulow <coolo@suse.com>
- update to 0.2.2
  0.2.2 2019-05-23T11:20:22Z
  - Minor documentation fixes #32 (@sjn)
  - fix around 30 memory leaks #31 (@kraih)
* Mon Jul 30 2018 coolo@suse.com
- updated to 0.2.1
  see /usr/share/doc/packages/perl-Mojo-RabbitMQ-Client/Changes
  0.2.1 2018-07-29T14:17:43Z
  - Fixed POD syntax, spelling & grammar errors #27,#28 (@gregoa)
  - Fixed POD error #26 (@manwar)
* Thu Jul 26 2018 coolo@suse.com
- updated to 0.2.0
  see /usr/share/doc/packages/perl-Mojo-RabbitMQ-Client/Changes
  0.2.0 2018-07-25T13:23:26Z
  - Remove internal frame buffer handling, use Net::AMQP #11 (@kraih)
* Sat Feb 17 2018 coolo@suse.com
- updated to 0.1.0
  see /usr/share/doc/packages/perl-Mojo-RabbitMQ-Client/Changes
  0.1.0 2018-02-16T10:15:32Z
  - Make Mojo::RabbitMQ::Client::Consumer use promises #23 (@christopherraa)
  - Fix circular includes by #20 (@christopherraa)
  - Start implementing Mojo::Promise, drop support for Mojolicious <7.53
  - Implement DEBUG on Client as suggested in #11
  - Fix early success event from ->publish #16
  - Fix query parameter naming in Publisher
  - Fix missing imports in Publisher #15
  - Fix #14
  - Implement Publisher API #5
* Sun Feb 19 2017 coolo@suse.com
- updated to 0.0.9
  see /usr/share/doc/packages/perl-Mojo-RabbitMQ-Client/Changes
  0.0.9 2017-02-18T11:07:56Z
  - Proper implementation of URI parser PR#8 & #9
  - Support for query parameter with aliases
  - Add max_channels attribute to force maximum number of channels active
  - Additional developer test for quick consumer
  - Documentation changes
* Tue Jan 31 2017 coolo@suse.com
- updated to 0.0.8
  see /usr/share/doc/packages/perl-Mojo-RabbitMQ-Client/Changes
  0.0.8 2017-01-30T12:13:18Z
  - Fix issues with UTF-8 data corruption on SSL sockets PR#7
  - Drop List::MoreUtils `none` in favour of core List::Util PR#4
* Sat Dec  3 2016 coolo@suse.com
- updated to 0.0.7
  see /usr/share/doc/packages/perl-Mojo-RabbitMQ-Client/Changes
* Mon Nov 28 2016 dheidler@suse.com
- Disable 32 bit (dep does not run on 32 bit)
- Version 0.0.6 from cpan
* Mon Nov 28 2016 dheidler@suse.com
- Initial Package
